ServerEvents.tags('block', event => {
    const LightCopyCats = [
        'copycats:copycat_block',
        'copycats:copycat_wall',
        'copycats:copycat_shaft',
        'copycats:copycat_cogwheel',
        'copycats:copycat_large_cogwheel'
    ]
    const SuperLightCopyCats = [
        'copycats:copycat_vertical_step',
        'copycats:copycat_beam',
        'copycats:copycat_slice',
        'copycats:copycat_vertical_slice',
        'copycats:copycat_corner_slice',
        'copycats:copycat_layer',
        'copycats:copycat_half_panel',
        'copycats:copycat_pane',
        'copycats:copycat_flat_pane',
        'copycats:copycat_byte',
        'copycats:copycat_byte_panel',
        'copycats:copycat_half_layer',
        'copycats:copycat_vertical_half_layer',
        'copycats:copycat_stacked_half_layer',
        'copycats:copycat_slope',
        'copycats:copycat_vertical_slope',
        'copycats:copycat_slope_layer',
        'copycats:copycat_door',
        'copycats:copycat_iron_door'
    ]
    const WeightlessCopyCats = [
        'copycats:copycat_board',
        'copycats:copycat_ladder'
    ]

    LightCopyCats.forEach(copycat => {
        event.add('sable:light', copycat)
    });

    SuperLightCopyCats.forEach(copycat => {
        event.add('sable:super_light', copycat)
    });

    WeightlessCopyCats.forEach(copycat => {
        event.add('createdeco:weightless', copycat)
    });
        
})

ServerEvents.tags('fluid', event => {
    event.remove('createdieselgenerators:pumpjack_output', 'createdieselgenerators:crude_oil')
    event.add('createdieselgenerators:pumpjack_output', 'oritech:still_oil')
})






const LSchests = [
    'ls_furniture:oak_chest',
    'ls_furniture:spruce_chest',
    'ls_furniture:birch_chest',
    'ls_furniture:jungle_chest',
    'ls_furniture:acacia_chest',
    'ls_furniture:dark_oak_chest',
    'ls_furniture:mangrove_chest',
    'ls_furniture:cherry_chest',
    'ls_furniture:bamboo_chest',
    'ls_furniture:crimson_chest',
    'ls_furniture:warped_chest'
]

let ItemTags = [
    'quark:revertable_chests',
    'handcrafted:chests',
    'c:chests',
    'c:chests/wooden'
]

let BlockTags = [
    'artifacts:campsite_chests',
    'sable:light',
    'c:chests',
    'minecraft:guarded_by_piglins',
    'c:chests',
    'c:chests/wooden',
    'create:chest_mounted_storage'
]

ServerEvents.tags('item', event => {

LSchests.forEach(chest => {
    ItemTags.forEach(tag => {
        event.add(tag, chest)
    })
})
event.add('minecraft:non_flammable_wood', ['ls_furniture:crimson_chest', 'ls_furniture:warped_chest'])

})

ServerEvents.tags('block', event => {

    LSchests.forEach(chest => {
    BlockTags.forEach(tag => {
        event.add(tag, chest)
    })
})
event.add('minecraft:non_flammable_wood', ['ls_furniture:crimson_chest', 'ls_furniture:warped_chest'])

})

